# class KDirSize | Compute directory size (similar to "du", but doesn't give the same results since we simply sum up the dir and file sizes, whereas du speaks disk blocks) More...
Definition | `#include <kdirsize.h>`
Inherits | KIO::Job (kio) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- unsigned long totalSize ()

#### Public Static Methods

- static KDirSize * dirSizeJob ( const KURL & directory )
- static KDirSize * dirSizeJob ( const KFileItemList & lstItems )
- static unsigned long dirSize ( const KURL & directory )

#### Protected Methods

- KDirSize ( const KURL & directory )
- KDirSize ( const KFileItemList & lstItems )
- ~KDirSize ()
- void setSync ()
- void startNextJob ( const KURL & url )

#### Protected Slots

- virtual void slotResult ( KIO::Job *job )
- void slotEntries ( KIO::Job * , const KIO::UDSEntryList & )
- void processList ()

## Detailed Description

Compute directory size (similar to "du", but doesn't give the same results since we simply sum up the dir and file sizes, whereas du speaks disk blocks)

KDirSize ( const KURL & directory ) | ### KDirSize

[protected]

KDirSize ( const KFileItemList & lstItems ) | ### KDirSize

[protected]

~KDirSize () | ### ~KDirSize

[protected]

unsigned long totalSize () | ### totalSize

Returns: the size we found

Reimplemented from Job.

KDirSize * dirSizeJob ( const KURL & directory ) | ### dirSizeJob

[static]

Asynchronous method. Connect to the result signal. This one lists a single directory.

KDirSize * dirSizeJob ( const KFileItemList & lstItems ) | ### dirSizeJob

[static]

Asynchronous method. Connect to the result signal. This one lists the items from `lstItems`. The reason we asks for items instead of just urls, is so that we directly know if the item is a file or a directory, and in case of a file, we already have its size.

unsigned long dirSize ( const KURL & directory ) | ### dirSize

[static]

Synchronous method - you get the result as soon as the call returns.

void setSync () | ### setSync

[protected]

void startNextJob ( const KURL & url ) | ### startNextJob

[protected]

void slotResult ( KIO::Job *job ) | ### slotResult

[protected slots virtual slot]

Reimplemented from Job.

void slotEntries ( KIO::Job * , const KIO::UDSEntryList & ) | ### slotEntries

[protected slots slot]

void processList () | ### processList

[protected slots slot]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:44 2001, using kdoc 2.0a53.